@import url("https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900");
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url("https://fonts.googleapis.com/css?family=Exo:100,200,400");
@import url("https://fonts.googleapis.com/css?family=Source+Sans+Pro:700,400,300");

:root {
  --admin-color: #EC5C5C;
  --background-color: rgba(247,250,252,1);
  --text-color: #000;
  --sidebar-width: 0px;
}

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, div
pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q,
s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li,
figure, header, nav, section, article, aside, footer, figcaption {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
}

input, p, small, button, nav {
  font-family: 'Roboto', sans-serif;
}

.clearfix:after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  line-height: 0;
  height: 0;
}

.clearfix {
  display: inline-block;
}

html[xmlns] .clearfix {
  display: block;
}

* html .clearfix {
  height: 1%;
}

ul, li {
  padding: 0;
  margin: 0;
  list-style: none;
}

header, nav, section, article, aside, footer, hgroup {
  display: block;
}

* {
  box-sizing: border-box;
}

html, body {
  font-family: 'Exo', sans-serif;
  font-weight: 400;
  background-color: var(--background-color);
  font-size: 16px;
  -ms-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  min-height: 100%;
}

a {
  text-decoration: none !important;
  cursor: pointer !important;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 0px;
  margin-bottom: 0px;
}

ul {
  margin-bottom: 0px;
}

p {
  font-size: 15px;
  line-height: 25px;
}

html,
body {
  background: var(--background-color);
  font-family: 'Exo', sans-serif;
}

::selection {
  background: var(--admin-color);
  color: #fff;
}

::-moz-selection {
  background: var(--admin-color);
  color: #fff;
}

@media (max-width: 991px) {
  html, body {
    overflow-x: hidden;
  }
  .mobile-top-fix {
    margin-top: 30px;
    margin-bottom: 0px;
  }
  .mobile-bottom-fix {
    margin-bottom: 30px;
  }
  .mobile-bottom-fix-big {
    margin-bottom: 60px;
  }
}

.btn {
  color: var(--text-color);
  cursor: pointer;
  padding: 10px;
  margin: 10px;
  max-width: 160px;
  position: relative;
  text-decoration: none;
  width: 100%;
  transition: 0.3s;
}
@media (min-width: 600px) {
  .btn {
    margin: 0 1em 2em;
  }
}
.btn:hover {
  text-decoration: none;
}

.btn-1 svg {
  height: 45px;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.btn-1 rect {
  fill: none;
  stroke: var(--text-color);
  stroke-width: 2;
  stroke-dasharray: 422, 0;
  transition: all 0.35s linear;
}

.btn-1:hover {
  color: var(--admin-color);
}
.btn-1:hover rect {
  stroke: var(--admin-color);
  stroke-width: 5;
  stroke-dasharray: 15, 310;
  stroke-dashoffset: 48;
  transition: all 1.35s cubic-bezier(0.19, 1, 0.22, 1);
}

.form-floating>.form-control:focus~label, .form-floating>.form-control:not(:placeholder-shown)~label, .form-floating>.form-select~label {
  opacity: 0.9;
}
.form-floating>label {
  position: absolute;
  top: 7.5px;
  left: 12px;
  width: 100%;
  height: 30px;
  padding: 5px;
  /* margin: 20px; */
  background: #fff;
}

::-webkit-scrollbar {
  width: 10px;
  cursor: pointer;
}
::-webkit-scrollbar-thumb {
  background-color: #666;
}
::-webkit-scrollbar-track {
  background-color: transparent;
}

@media (min-width: 768px) {
  .w-md-50 {
    display: inline-block;
    width: 50%;
    box-sizing: border-box;
  }
}
@media (min-width: 992px) {
  .w-lg-50 {
    display: inline-block;
    margin: 0 auto;
    width: 49%;
    box-sizing: border-box;
  }
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Töltőkör */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

.loading {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  background: rgba(255,255,255,0.5);
}
.spinner {
  position: fixed;
  top: 46%;
  left: 46%;
  -webkit-animation: rotator 1.4s linear infinite;
          animation: rotator 1.4s linear infinite;
  z-index: 99999;
}

@-webkit-keyframes rotator {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(270deg);
  }
}

@keyframes rotator {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(270deg);
  }
}
.path {
  stroke-dasharray: 187;
  stroke-dashoffset: 0;
  transform-origin: center;
  -webkit-animation: dash 1.4s ease-in-out infinite, colors 1.4s ease-in-out infinite;
          animation: dash 1.4s ease-in-out infinite, colors 1.4s ease-in-out infinite;
}

@-webkit-keyframes colors {
  0% {
    stroke: var(--text-color);
  }
  50% {
    stroke: var(--admin-color);
  }
  100% {
    stroke: var(--text-color);
  }
}

@keyframes colors {
  0% {
    stroke: var(--text-color);
  }
  50% {
    stroke: var(--admin-color);
  }
  100% {
    stroke: var(--text-color);
  }
}
@-webkit-keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    transform: rotate(450deg);
  }
}
@keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    transform: rotate(450deg);
  }
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Fejléc */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: rgba(240,242,245,0.8);
  border-bottom: 1px solid rgba(0,0,0,0.15);
  z-index: 1030;
}

.navbar {
  margin: 0;
  padding: 0;
}

main {
  position: absolute;
  left: var(--sidebar-width);
  right: 0;
  top: 60px;
  padding-bottom: 60px;
}
.dashboard {
  padding: 2%;
  padding-bottom: 60px;
}

.error-message {
  z-index: 99999;
}

@media only screen and (max-width: 600px) {
  header, nav {
    width: 100%;
    background-color: #fff;
    border-radius: 0;
  }
}

.logo {
  width: auto;
  height: 64px;
}

.icon {
  width: 40px;
  height: auto;
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Oldalmenü */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

.hamburger-icon {
  width: 50px;
  height: 50px;
  padding: 10px;
  cursor: pointer;
}

.sidebar-bg {
  position: fixed;
  top: 60px;
  left: 0;
  width: var(--sidebar-width);
  z-index: 0;
}
.sidebar {
  position: fixed;
  top: 60px;
  width: var(--sidebar-width);
  height: 100%;
  color: #76838f;
  background: rgba(240,240,240,0.5);
  background: linear-gradient(45deg,rgba(255,255,255,1) 20%, rgba(230,230,230,0.9) 60%,rgba(255,255,255,1) 90%);
  z-index: 1029;
  overflow: auto;
}

@media only screen and (max-width: 600px) {
  .sidebar {
    width: 100%;
  }
}

.sidebar .menu-element, .sidebar .menu-info {
  padding: 10px 15px;
  transition-duration: 0.5s;
  cursor: pointer;
}

.sidebar .menu-info {
  color: #fff;
  /*background-image: url(/storage/datarose/datarose_30piglets/settings/October2020/9Nx5rSbkmjEteCUpiyD9.jpg);
  background-size: cover;
  background-position: 0px;*/
  padding: 12px 0;
  margin: 0;
  border-radius: 0;
  background-color: rgba(0,0,0,0.5);
}

.sidebar .menu-info h4 {
  text-align: left;
  font-weight: 100;
  transition: opacity .3s ease;
  overflow: hidden;
  line-height: 36px;
  font-size: 1.3em;
}

.sidebar .menu-info img {
  width: 36px;
  height: 36px;
  float: left;
  margin: 0 12px;
}

.sidebar .menu-element {
  color: #000;
}

.sidebar .active {
  color: rgba(0,0,0,0.5);
  background: var(--background-color);
}

.sidebar .menu-element:hover {
  color: #222;
  background: #eee;
  transition-duration: 0.5s;
}

hr {
  margin: 10px 0 30px 0;
  border-radius: 50px;
  background: rgba(0,0,0,0.3);
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Fáljmegadás */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

.file-drop-area {
  position: relative;
  display: flex;
  align-items: center;
  width: 450px;
  max-width: 100%;
  padding: 25px;
  border: 1px dashed rgba(0, 0, 0, 0.4);
  border-radius: 3px;
  margin: 0 auto;
  transition: 0.2s;
}
.file-drop-area:hover {
  background-color: rgba(0, 0, 0, 0.05);
}

.file-btn {
  flex-shrink: 0;
  background-color: rgba(0, 0, 0, 0.04);
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 3px;
  padding: 8px 15px;
  margin-right: 10px;
  font-size: 12px;
  text-transform: uppercase;
}

.file-msg {
  font-size: small;
  font-weight: 300;
  line-height: 1.4;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.file-input {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  cursor: pointer;
  opacity: 0;
}
.file-input:focus {
  outline: none;
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Lábléc */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

footer {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  padding: 0!important;
  font-size: 0.9em;
  line-height: 50px;
  background: rgba(240,242,245,0.8);
  margin-left: var(--sidebar-width);
  z-index: 1030;
}

@media only screen and (max-width: 600px) {
  main, footer {
    width: 100%;
    margin-left: 0;
  }
  footer .col-6, footer .text-end {
    float: none;
    display: inline-block!important;
    width: auto;
    text-align: left!important;
  }
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Főoldal */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

main-bg {
  display: none;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: fixed;
  z-index: 0;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  filter: blur(8px);
  opacity: 0.9;
}

main-bg-filter {
  display: none;
  background: rgba(240, 240, 240, 0.5);
  position: fixed;
  z-index: 0;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  filter: blur(4px);
  opacity: 1;
}

/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/
/* Bejelentkező panel */
/**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**//**/

/*.login-bg {
  background-image: url("../images/login/bg.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: fixed;
  z-index: 0;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.login-form, .login-form-bg {
  position: absolute;
  top: 20%;
  bottom: 40%;
  left: 35%;
  right: 35%;
  z-index: 100;
}
.login-form-bg {
  background: rgba(255,255,255,0.5);
  background-image: url("../images/login/bg.jpg");
  background-position: center;
  background-repeat: no-repeat;
  filter: blur(5px);
  z-index: 10;
}

.login-header {
  text-align: left;
  transition: opacity .3s ease;
  overflow: hidden;
  line-height: 36px;
  font-size: 1.3em;
  background: var(--admin-color);
}

.login-content {
  
}*/

.login-bg {
  background-image: url("../images/login/bg.png");
  background-position: center top;
  background-size: cover;
  background-attachment: fixed;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-repeat: no-repeat;
  padding: 20vh 40vw;
}
@media only screen and (max-width: 1200px) {
  .login-bg {
    padding: 10vh 20vw;
  }
}
@media only screen and (max-width: 600px) {
  .login-bg {
    padding: 20vw 5vw;
  }
}
.login-container {
  position: relative;
  overflow: hidden;
  height: 500px;
  /*border-radius: 100px;*/
  border-radius: 40px;
}
.login-form-bg:before {
  content: "";
  background-image: url("../images/login/bg.png");
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  filter: blur(25px);
  position: absolute;
  top: -20vh;
  right: -40vw;
  bottom: -20vh;
  left: -40vw;
  z-index: 99;
}
.login-form {
  position: relative;
  z-index: 100;
  height: 500px;
  border: 2px solid #ec5c5ccc;
  border-top: none;
  border-radius: 40px;
  background: rgba(255,255,255,0.3);
}
.login-header {
  padding: 20px 10px;
  background: #ec5c5cd0;
}
.login-header h4 {
  color: #fff;
  line-height: 40px;
  margin-top: 0.2em;
  font-size: 1.3em;
}
.login-header img {
  height: 64px;
  width: auto;
}
.login-content {
  padding: 20px 30px;
  font-size: 1em;
  color: #fff;
}
.login-content input {
  display: block;
  background: transparent;
  border: none;
  border-bottom: 1px solid #ec5c5ccc;
  width: 100%;
  padding: 5px;
  margin: 5px 0 30px 0;
}
.login-content input[type=submit] {
  /*background: rgba(255,255,255,0.7);*/
  color: #ec5c5c;
  margin: 60px 0;
  padding: 10px 20px;
  border: none;
  border: 1px solid #ec5c5ccc;
  transition-duration: 0.5s;
}
.login-content input[type=submit]:hover {
  background: #ec5c5c;
  color: #fff;
  margin: 60px 0;
  padding: 10px 20px;
  border: none;
  border: 1px solid #ec5c5ccc;
  transition-duration: 0.5s;
}
.login-content label {
  color: #444;
  line-height: 32px;
}
.login-content img {
  height: 32px;
  width: auto;
}

.login-header h4, .login-content label {
  display: inline-block;
}

/* Diagram */
.chart {
  padding: 20px 50px;
  background-color: #fff;
}
.chart h4 {
  padding: 10px 0;
}
.chart-text {
  padding: 10px 5px;
  text-align: right;
}
.chart-percent {
  padding: 10px 5px;
  text-align: center;
}
.chart-line {
  padding: 10px 0;
  background: repeating-linear-gradient(
      to right,
      #ddd,
      #ddd 1px,
      #fff 1px,
      #fff 5%
  );
  border-right: 1px solid #ddd;
}
.chart-line > span {
  display: block;
  height: 20px;
  width: 10px;
  background: var(--admin-color);
  border-radius: 0 15px 15px 0;
  transition-duration: 0.3s;
}

.chart > .row {
  cursor: pointer;
  transition-duration: 0.3s;
}
.chart > .row:hover {
  font-weight: bold;
  transition-duration: 0.3s;
}
.chart > .row:hover span {
  opacity: 0.6;
  transition-duration: 0.3s;
}